"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function CharSep(input, location, length) {
    if (typeof input !== 'string' || typeof location !== 'number' || typeof length !== 'number') {
        return Promise.reject();
    }
    return new Promise(function (resolve, reject) {
        var sep = "";
        for (var i = location; i < (location + length); i++) {
            sep += input[i];
        }
        if (sep.length !== length) {
            reject();
        }
        resolve(sep);
    });
}
exports.CharSep = CharSep;
